GET v2/J1939/FaultSeverities
Retrieves the list of fault severities available to the current user.
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
An array of representing the fault severities available to the current user.
Collection of Lhp.EquipmentIntelligence.WebApi.Models.V2.CustomerFaultSeverity| Name | Description | Type | Additional information |
|---|---|---|---|
| faultSeverityId |
The unique identifier of the fault severity. |
integer |
None. |
| customerId |
The unique identifier of the customer that owns the fault severity. |
integer |
None. |
| name |
The name of the fault severity. |
string |
None. |
| description |
A description of the fault severity. |
string |
None. |
| abbreviation |
The abbreviation of the fault severity. |
string |
None. |
| rank |
The rank of the fault severity. |
integer |
None. |
| isPriorityFault |
Indicates whether the fault severity is a high priority fault. |
boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"faultSeverityId": 1,
"customerId": 2,
"name": "sample string 3",
"description": "sample string 4",
"abbreviation": "sample string 5",
"rank": 6,
"isPriorityFault": true
},
{
"faultSeverityId": 1,
"customerId": 2,
"name": "sample string 3",
"description": "sample string 4",
"abbreviation": "sample string 5",
"rank": 6,
"isPriorityFault": true
}
]
application/xml, text/xml
Sample:
<ArrayOfCustomerFaultSeverity xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<CustomerFaultSeverity>
<FaultSeverityId>1</FaultSeverityId>
<CustomerId>2</CustomerId>
<Name>sample string 3</Name>
<Description>sample string 4</Description>
<Abbreviation>sample string 5</Abbreviation>
<Rank>6</Rank>
<IsPriorityFault>true</IsPriorityFault>
</CustomerFaultSeverity>
<CustomerFaultSeverity>
<FaultSeverityId>1</FaultSeverityId>
<CustomerId>2</CustomerId>
<Name>sample string 3</Name>
<Description>sample string 4</Description>
<Abbreviation>sample string 5</Abbreviation>
<Rank>6</Rank>
<IsPriorityFault>true</IsPriorityFault>
</CustomerFaultSeverity>
</ArrayOfCustomerFaultSeverity>